module ShortRails
  class ShortUrl < ApplicationRecord
    serialize :params

    validate :url_host_in_whitelist

    def url_host_in_whitelist
      unless ShortRails.host_whitelist.nil?
        uri = URI.parse(url)
        unless ShortRails.host_whitelist.include?(uri.host)
          errors.add(:url, "is not in host whitelist")
        end
      end
    end
  end
end
